Skip to content
MothershipDevelopers

API referenceWebhooks

List webhook configurations

Lists all webhook configurations set up for your shipper account.

GET/webhookConfigs
Environment
https://sandbox.api.mothership.com/beta
curl --request GET \
  --url 'https://sandbox.api.mothership.com/beta/webhookConfigs' \
  --header "Authorization: Bearer $MOTHERSHIP_API_TOKEN" \
  --header 'Accept: application/json'
Reads your token from $MOTHERSHIP_API_TOKEN
Response
{
: [
{
: "48asjgaoi33nkl4t3lae",
: "2019-03-20T16:17:13.424Z",
: "active",
: [
"shipment.purchased",
"shipment.status.updated"
],
: "https://www.yourserver.io/webhook/mothership/shipment"
},
{
: "akw3lajwkl4jt3lka3fa",
: "2019-03-20T16:21:27.113Z",
: "active",
: [
"billOfLading.created",
"billOfLading.updated"
],
: "https://www.yourserver.io/webhook/mothership/bol"
}
]
}

Hover a key to see what it means. Click it to jump to the field.

Authorization: Bearer <token>

Your sandbox API token. See Authentication.

    • dataarray of objectsRequired
      • idstringRequired

        ID of the webhook configuration.

      • createdAtstring<date-time>Required

        When this webhook configuration was created, as an ISO 8601 date-time.

      • statusstringRequired

        Current status of the webhook config

        activeinactive
      • subscribedEventsarray of stringsRequired

        Events that trigger a webhook.

        billOfLading.createdbillOfLading.updatedproofOfDelivery.createdproofOfDelivery.updateddeliveryReceipt.createddeliveryReceipt.updatedcertificateOfInsurance.createdshipment.purchasedWhat each value means →
      • webhookUrlstringRequired

        URL that Mothership POSTs webhook events to.

What's next